package com.sheep.gamegroup.view.customview;

        import android.content.Context;
        import android.util.AttributeSet;
        import android.view.View;
        import com.tencent.smtt.sdk.WebView;

/**
 * WebViewForScrollView
 */
public class WebViewForScrollView extends WebView{
    public WebViewForScrollView(Context context) {
        super(context);
    }

    public WebViewForScrollView(Context context, AttributeSet attrs) {
        super(context, attrs);
    }

    public WebViewForScrollView(Context context, AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
    }

    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
        int expandSpec = View.MeasureSpec.makeMeasureSpec(Integer.MAX_VALUE >> 2,
                View.MeasureSpec.AT_MOST);
        super.onMeasure(widthMeasureSpec, expandSpec);
    }
}
